# convertHexToString | xrpl
Documentation for xrpl

# Function convertHexToString

- convertHexToString(hex, encoding?): string

- Converts hex to its string equivalent. Useful to read the Domain field and some Memos.

  #### Parameters

  - ##### hex: string

    The hex to convert to a string.

  - ##### encoding: BufferEncoding = 'utf8'

    The encoding to use. Defaults to 'utf8' (UTF-8). 'ascii' is also allowed.

  #### Returns string

  The converted string.

  - Defined in packages/xrpl/src/utils/stringConversion.ts:20

Generated using TypeDoc